package com.kmall.admin.dao.mk;

import com.kmall.admin.entity.mk.MkDistEntity;
import com.kmall.manager.dao.BaseDao;
import io.swagger.models.auth.In;

import java.util.List;
import java.util.Map;

/**
 * 分销商，distributorDao
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-04-09 18:04:47
 */
public interface MkDistDao extends BaseDao<MkDistEntity> {
    MkDistEntity queryObjectByDistName(String distName);

    MkDistEntity queryDistByGoodsId(Map<String, Object> map);

    MkDistEntity queryDistByStoreId(Integer storeId);

    List<MkDistEntity> queryAllByHier(Map<String, Object> map);

}
